Package org.drinkless.tdlib

# Class TdApi.BasicGroup

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BasicGroup

Enclosing class:
  `TdApi`

public static class TdApi.BasicGroup extends TdApi.Object
Represents a basic group of 0-200 users (must be upgraded to a supergroup to accommodate more than 200 users).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `id`
  Group identifier.
  `boolean`
  `isActive`
  True, if the group is active.
  `int`
  `memberCount`
  Number of members in the group.
  `TdApi.ChatMemberStatus`
  `status`
  Status of the current user in the group.
  `long`
  `upgradedToSupergroupId`
  Identifier of the supergroup to which this group was upgraded; 0 if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicGroup()`
  Represents a basic group of 0-200 users (must be upgraded to a supergroup to accommodate more than 200 users).
  `BasicGroup(long id, int memberCount, TdApi.ChatMemberStatus status, boolean isActive, long upgradedToSupergroupId)`
  Represents a basic group of 0-200 users (must be upgraded to a supergroup to accommodate more than 200 users).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Group identifier.

  - ### memberCount

    public int memberCount
    Number of members in the group.

  - ### status

    public TdApi.ChatMemberStatus status
    Status of the current user in the group.

  - ### isActive

    public boolean isActive
    True, if the group is active.

  - ### upgradedToSupergroupId

    public long upgradedToSupergroupId
    Identifier of the supergroup to which this group was upgraded; 0 if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BasicGroup

    public BasicGroup()
    Represents a basic group of 0-200 users (must be upgraded to a supergroup to accommodate more than 200 users).

  - ### BasicGroup

    public BasicGroup(long id, int memberCount, TdApi.ChatMemberStatus status, boolean isActive, long upgradedToSupergroupId)
    Represents a basic group of 0-200 users (must be upgraded to a supergroup to accommodate more than 200 users).
    Parameters:
      `id` - Group identifier.
      `memberCount` - Number of members in the group.
      `status` - Status of the current user in the group.
      `isActive` - True, if the group is active.
      `upgradedToSupergroupId` - Identifier of the supergroup to which this group was upgraded; 0 if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR